# Security update for perl-Spreadsheet-ParseExcel

Announcement ID: SUSE-SU-2024:0158-1  
Rating: important  
References:

  * bsc#1218414

  
Cross-References:

  * CVE-2023-7101

  
CVSS scores:

  * CVE-2023-7101 ( SUSE ):  7.3 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H
  * CVE-2023-7101 ( NVD ):  7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

  
Affected Products:

  * Basesystem Module 15-SP5
  * openSUSE Leap 15.5
  * SUSE CaaS Platform 4.0
  * SUSE Enterprise Storage 7.1
  * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4
  * SUSE Linux Enterprise Desktop 15 SP5
  * SUSE Linux Enterprise High Performance Computing 15 SP1
  * SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1
  * SUSE Linux Enterprise High Performance Computing 15 SP2
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2
  * SUSE Linux Enterprise High Performance Computing 15 SP3
  * SUSE Linux Enterprise High Performance Computing 15 SP4
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4
  * SUSE Linux Enterprise Real Time 15 SP4
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP1
  * SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1
  * SUSE Linux Enterprise Server 15 SP2
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2
  * SUSE Linux Enterprise Server 15 SP3
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3
  * SUSE Linux Enterprise Server 15 SP4
  * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5
  * SUSE Manager Proxy 4.3
  * SUSE Manager Retail Branch Server 4.3
  * SUSE Manager Server 4.3

  
  
An update that solves one vulnerability can now be installed.

## Description:

This update for perl-Spreadsheet-ParseExcel fixes the following issues:

  * CVE-2023-7101: Fixed a command injection issue when parsing an untrusted
    spreadsheet (bsc#1218414).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch openSUSE-SLE-15.5-2024-158=1

  * Basesystem Module 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2024-158=1

  * SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2024-158=1

  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-158=1

  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-ESPOS-2024-158=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-158=1

  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-158=1

  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4  
    zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-158=1

  * SUSE Linux Enterprise Real Time 15 SP4  
    zypper in -t patch SUSE-SLE-Product-RT-15-SP4-2024-158=1

  * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4  
    zypper in -t patch SUSE-SLE-Product-SLED-15-SP4-LTSS-2024-158=1

  * SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2024-158=1

  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-158=1

  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-158=1

  * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4  
    zypper in -t patch SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-158=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP1  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2024-158=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP2  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2024-158=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP3  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-158=1

  * SUSE Linux Enterprise Server for SAP Applications 15 SP4  
    zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP4-2024-158=1

  * SUSE Manager Proxy 4.3  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-158=1

  * SUSE Manager Retail Branch Server 4.3  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-
Server-4.3-2024-158=1

  * SUSE Manager Server 4.3  
    zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-158=1

  * SUSE Enterprise Storage 7.1  
    zypper in -t patch SUSE-Storage-7.1-2024-158=1

  * SUSE CaaS Platform 4.0  
To install this update, use the SUSE CaaS Platform 'skuba' tool. It will inform
you if it detects new updates and let you then trigger updating of the complete
cluster in a controlled way.

## Package List:

  * openSUSE Leap 15.5 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * Basesystem Module 15-SP5 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Real Time 15 SP4 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP1 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Linux Enterprise Server for SAP Applications 15 SP4 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Manager Proxy 4.3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Manager Retail Branch Server 4.3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Manager Server 4.3 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE Enterprise Storage 7.1 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1
  * SUSE CaaS Platform 4.0 (noarch)
    * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1

## References:

  * https://www.suse.com/security/cve/CVE-2023-7101.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1218414

SUSE: 2024:0158-1 important: perl-Spreadsheet-ParseExcel

January 18, 2024
* bsc#1218414 Cross-References: * CVE-2023-7101

Summary

## This update for perl-Spreadsheet-ParseExcel fixes the following issues: * CVE-2023-7101: Fixed a command injection issue when parsing an untrusted spreadsheet (bsc#1218414). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch openSUSE-SLE-15.5-2024-158=1 * Basesystem Module 15-SP5 zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP5-2024-158=1 * SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2024-158=1 * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 zypper in -t patch SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-158=1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-ESPOS-2024-158=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 zypper in -t patch SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-158=1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-158=1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 zypper in -t patch SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-158=1 * SUSE Linux Enterprise Real Time 15 SP4 zypper in -t patch SUSE-SLE-Product-RT-15-SP4-2024-158=1 * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 zypper in -t patch SUSE-SLE-Product-SLED-15-SP4-LTSS-2024-158=1 * SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2024-158=1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 zypper in -t patch SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-158=1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 zypper in -t patch SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-158=1 * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 zypper in -t patch SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-158=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP1 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2024-158=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP2-2024-158=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP3-2024-158=1 * SUSE Linux Enterprise Server for SAP Applications 15 SP4 zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP4-2024-158=1 * SUSE Manager Proxy 4.3 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-158=1 * SUSE Manager Retail Branch Server 4.3 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch- Server-4.3-2024-158=1 * SUSE Manager Server 4.3 zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-158=1 * SUSE Enterprise Storage 7.1 zypper in -t patch SUSE-Storage-7.1-2024-158=1 * SUSE CaaS Platform 4.0 To install this update, use the SUSE CaaS Platform 'skuba' tool. It will inform you if it detects new updates and let you then trigger updating of the complete cluster in a controlled way. ## Package List: * openSUSE Leap 15.5 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * Basesystem Module 15-SP5 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise High Performance Computing LTSS 15 SP4 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Real Time 15 SP4 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP1 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP2 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Linux Enterprise Server for SAP Applications 15 SP4 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Manager Proxy 4.3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Manager Retail Branch Server 4.3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Manager Server 4.3 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE Enterprise Storage 7.1 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1 * SUSE CaaS Platform 4.0 (noarch) * perl-Spreadsheet-ParseExcel-0.65-150000.3.3.1

References

* bsc#1218414

Cross-

* CVE-2023-7101

CVSS scores:

* CVE-2023-7101 ( SUSE ): 7.3 CVSS:3.1/AV:L/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H

* CVE-2023-7101 ( NVD ): 7.8 CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Affected Products:

* Basesystem Module 15-SP5

* openSUSE Leap 15.5

* SUSE CaaS Platform 4.0

* SUSE Enterprise Storage 7.1

* SUSE Linux Enterprise Desktop 15 SP4 LTSS 15-SP4

* SUSE Linux Enterprise Desktop 15 SP5

* SUSE Linux Enterprise High Performance Computing 15 SP1

* SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS 15-SP1

* SUSE Linux Enterprise High Performance Computing 15 SP2

* SUSE Linux Enterprise High Performance Computing 15 SP2 LTSS 15-SP2

* SUSE Linux Enterprise High Performance Computing 15 SP3

* SUSE Linux Enterprise High Performance Computing 15 SP4

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP3

* SUSE Linux Enterprise High Performance Computing ESPOS 15 SP4

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP3

* SUSE Linux Enterprise High Performance Computing LTSS 15 SP4

* SUSE Linux Enterprise Real Time 15 SP4

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP1

* SUSE Linux Enterprise Server 15 SP1 LTSS 15-SP1

* SUSE Linux Enterprise Server 15 SP2

* SUSE Linux Enterprise Server 15 SP2 LTSS 15-SP2

* SUSE Linux Enterprise Server 15 SP3

* SUSE Linux Enterprise Server 15 SP3 LTSS 15-SP3

* SUSE Linux Enterprise Server 15 SP4

* SUSE Linux Enterprise Server 15 SP4 LTSS 15-SP4

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP1

* SUSE Linux Enterprise Server for SAP Applications 15 SP2

* SUSE Linux Enterprise Server for SAP Applications 15 SP3

* SUSE Linux Enterprise Server for SAP Applications 15 SP4

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

* SUSE Manager Proxy 4.3

* SUSE Manager Retail Branch Server 4.3

* SUSE Manager Server 4.3

An update that solves one vulnerability can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-7101.html

* https://bugzilla.suse.com/show_bug.cgi?id=1218414

Severity
Announcement ID: SUSE-SU-2024:0158-1
Rating: important

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo